package com.gwt.app.client;
import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;
import com.gwt.app.shared.UserDTO;

@RemoteServiceRelativePath("login")
public interface LoginService extends RemoteService
{
    UserDTO loginServer(String name, String password);
 
    UserDTO loginFromSessionServer();
 
    void logout();
}